//----------------------------------------------------------------------------
#ifndef SDIMainH
#define SDIMainH
//----------------------------------------------------------------------------
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
//----------------------------------------------------------------------------
class TSDIAppForm : public TForm
{
__published:
	TMainMenu *MainMenu;
	TMenuItem *FileMenu;
	TMenuItem *OpenItem;
	TMenuItem *SaveItem;
	TMenuItem *ExitItem;
	TMenuItem *N1;
	TOpenDialog *OpenDialog;
	TSaveDialog *SaveDialog;
	TMenuItem *Help1;
	TMenuItem *About1;
	TPanel *SpeedPanel;
	TSpeedButton *OpenBtn;
	TSpeedButton *SaveBtn;
	TSpeedButton *ExitBtn;
	TStatusBar *StatusBar;
	void __fastcall ShowHint(TObject *Sender);
	void __fastcall ExitItemClick(TObject *Sender);
	void __fastcall OpenItemClick(TObject *Sender);
	void __fastcall SaveItemClick(TObject *Sender);
	void __fastcall About1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
private:
public:
	virtual __fastcall TSDIAppForm(TComponent *AOwner);
};
//----------------------------------------------------------------------------
extern TSDIAppForm *SDIAppForm;
//----------------------------------------------------------------------------
#endif
